petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawBarSort

Sorts the values before drawing the bar chart

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawBarSort(PetscDrawBar bar, PetscBool sort, PetscReal tolerance)

Logically Collective on PetscDrawBar

### Input Parameters

| bar | - The bar graph context
| sort | - PETSC_TRUE to sort the values
| tolerance | - discard values less than tolerance

### See Also

PetscDrawBarCreate(), PetscDrawBar, PetscDrawBarSetData(), PetscDrawBarSetColor(), PetscDrawBarDraw(), PetscDrawBarGetAxis()

### Level

intermediate

### Location

src/sys/classes/draw/utils/bars.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages